---
- name: Downloading and extracting {{ crictl_app }} {{ crictl_version }}
  unarchive:
    src: "{{ crictl_dl_url }}"
    dest: "{{ crictl_bin_path }}"
    owner: "{{ crictl_file_owner }}"
    group: "{{ crictl_file_group }}"
    extra_opts:
      - crictl
    remote_src: yes

- name: Crictl command crontab setting
  ansible.builtin.cron:
    name: crontab command
    minute: "0"
    hour: "3"
    user: root
    job: "/usr/local/bin/crictl rmi --prune"
 
